## xrootconsole 0.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # xrootconsole
 # Copyright (C) 1988,1999   Eric Youngblut & Bob Galloway
 #
-# $Id: Makefile,v 1.2 2000/03/04 02:13:36 bob Exp $
+# $Id: Makefile,v 1.3 2001/12/19 09:48:51 bob Exp $
 #
 # 
 ###########################################################################
@@ -35,7 +35,7 @@
 EXEC = xrootconsole
 BINDIR = /usr/local/bin
 
-VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_3 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
+VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_5 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
         if [ $$tag ]; \
             then echo $$tag; \
             else echo Bleeding Edge Version; \
@@ -45,11 +45,11 @@
 CPPFLAGS =
 
 # for production
-CFLAGS = -O2 -DNDEBUG -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
+CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\""
 LDFLAGS = -s
 
 # for testing
-#CFLAGS = -g -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
+#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\""
 #LDFLAGS = 
 
 LIBS = -L/usr/X11R6/lib -lX11 -lutil
