## xrootconsole 0.6

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # xrootconsole
 # Copyright (C) 1988,1999   Eric Youngblut & Bob Galloway
 #
-# $Id: Makefile,v 1.3 2001/12/19 09:48:51 bob Exp $
+# $Id: Makefile,v 1.4 2004/02/20 21:53:28 bob Exp $
 #
 # 
 ###########################################################################
@@ -34,8 +34,10 @@
 
 EXEC = xrootconsole
 BINDIR = /usr/local/bin
+MANFILE = xrootconsole.1
+MANDIR = /usr/local/share/man/man1
 
-VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_5 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
+VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_6 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
         if [ $$tag ]; \
             then echo $$tag; \
             else echo Bleeding Edge Version; \
@@ -45,11 +47,13 @@
 CPPFLAGS =
 
 # for production
-CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\""
+CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\"" \
+    -I /usr/X11R6/include
 LDFLAGS = -s
 
 # for testing
-#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\""
+#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\"" \
+    -I /usr/X11R6/include
 #LDFLAGS = 
 
 LIBS = -L/usr/X11R6/lib -lX11 -lutil
@@ -73,3 +77,4 @@
 
 install: $(EXEC)
 	cp $(EXEC) $(BINDIR)
+	cp $(MANFILE) $(MANDIR)
