=== debian/control ===
Source: xrootconsole
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Julien Viard de Galbert <julien@vdg.blogsite.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               xauth,
               xvfb <!nocheck>
Homepage: https://sourceforge.net/projects/xrootconsole/
Vcs-Git: https://salsa.debian.org/debian/xrootconsole.git
Vcs-Browser: https://salsa.debian.org/debian/xrootconsole
Rules-Requires-Root: no

Package: xrootconsole
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: ccze | grc
Description: Fancy X console display
 Xrootconsole redirects its input to a transparent (and optionally
 shaded) window on the root window. It supports displaying UTF-8 and
 ANSI-colors, e.g. those generated with "ccze -A" or "grc".
