=== debian/watch ===
version=4
https://sf.net/xrootconsole/xrootconsole-(.+)\.tar\.gz
