## xrootconsole 990119

=== Makefile ===
TARGET = xrootconsole
BINDIR = /usr/local/bin

CC = gcc
CPPFLAGS =
CFLAGS = -O2 -DNDEBUG -Wall "-DSTARTUP_MESSAGE=\"xrootconsole-990119\n\""
LDFLAGS = -s
LIBS = -lX11 -lutil
OBJS = console.o main.o util.o

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

clean:
	rm -f $(TARGET) *.o core *~

console.o: console.h
main.o: console.h util.h
util.o: util.h
